Package org.apache.sling.graphql.api

# Interface SlingDataFetcher<T>

@ConsumerType public interface SlingDataFetcher<T>
Retrieves data for a given GraphQL field. Services must be registered with a NAME property with a unique value that's matched with the corresponding @directive in the GraphQL Schema.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME_SERVICE_PROPERTY`
Defines the service registration property with which all `SlingDataFetcher` services have to be registered.

## Method Summary

Modifier and Type
Method
Description
`T`
`get(@NotNull SlingDataFetcherEnvironment e)`

## Field Details

### NAME_SERVICE_PROPERTY

static final String NAME_SERVICE_PROPERTY
Defines the service registration property with which all `SlingDataFetcher` services have to be registered. The value should be namespaced, with namespaces being delimited by the "/" character.

See Also:
  - Constant Field Values

## Method Details

### get

@Nullable T get(@NotNull @NotNull SlingDataFetcherEnvironment e) throws Exception

Throws:
  `Exception`